xpxmhelloworld
__appmansuffix__

# xpxmhelloworld

"Hello World"-like Xprint sample utility based on the Motif2 toolkit

          xpxmhelloworld

          -print

          -printer printernname

          -v

          -h

          string

## DESCRIPTION

`xpxmhelloworld` is a sample utility for Xprint, the printing system for the X Window system. It demonstrates how to send a test page to the specified printer (or the default printer, if none is specified) based on the Motif2 toolkit using the XmPrintShell__libmansuffix__ widget class.

## OPTIONS

`-print`

  Print (default is to display on the video Xserver)

`-printer printernname`

  printer to use

`-v`

  verbose output

`-h`

  print usage

## ENVIRONMENT

`XPSERVERLIST`

  `${XPSERVERLIST}` must be set, identifying the available Xprint servers. See Xprint__miscmansuffix__ for more details.

## KNOWN BUGS

A full list of bugs can be obtained from the Xprint.org bug database (http://xprint.mozdev.org/xprint_bugs.html).

## SEE ALSO

- http://nscp.upenn.edu/aix4.3html/libs/motiftr/XmPrintShell.htm
- http://nscp.upenn.edu/aix4.3html/libs/motiftr/XmText.htm
- Xprint
  __miscmansuffix__
- X11
  __miscmansuffix__
- xplsprinters
  __appmansuffix__
- xphelloworld
  __appmansuffix__
- xpawhelloworld
  __appmansuffix__
- xpxthelloworld
  __appmansuffix__
- xpsimplehelloworld
  __appmansuffix__
- Xserver
  __appmansuffix__
- Xprt
  __appmansuffix__
- libXp
  __libmansuffix__
- libXprintUtils
  __libmansuffix__
- libXprintAppUtils
  __libmansuffix__
- XmPrintShell
  __libmansuffix__
- XawPrintShell
  __libmansuffix__
- Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html)
- Xprint main site (http://xprint.mozdev.org/)